=== examples/network/CMakeLists.txt ===
if(NOT TARGET Qt::Network)
    return()
endif()
qt_internal_add_example(download)
qt_internal_add_example(downloadmanager)
if(NOT INTEGRITY)
    qt_internal_add_example(dnslookup)
endif()
if(TARGET Qt::Widgets)
    qt_internal_add_example(blockingfortuneclient)
    qt_internal_add_example(broadcastreceiver)
    qt_internal_add_example(broadcastsender)
    qt_internal_add_example(http)
    qt_internal_add_example(loopback)
    qt_internal_add_example(threadedfortuneserver)
    qt_internal_add_example(googlesuggest)
    qt_internal_add_example(torrent)
    qt_internal_add_example(multicastreceiver)
    qt_internal_add_example(multicastsender)
    qt_internal_add_example(fortuneclient)
    qt_internal_add_example(fortuneserver)
endif()
if(QT_FEATURE_processenvironment AND TARGET Qt::Widgets)
    qt_internal_add_example(network-chat)
endif()
if(QT_FEATURE_ssl AND TARGET Qt::Widgets)
    qt_internal_add_example(securesocketclient)
endif()
if(QT_FEATURE_dtls AND TARGET Qt::Widgets)
    qt_internal_add_example(secureudpserver)
    qt_internal_add_example(secureudpclient)
endif()
if(QT_FEATURE_sctp AND TARGET Qt::Widgets)
    qt_internal_add_example(multistreamserver)
    qt_internal_add_example(multistreamclient)
endif()
