=== examples/qpa/CMakeLists.txt ===
if(NOT TARGET Qt::Gui)
    return()
endif()
qt_internal_add_example(windows)
qt_internal_add_example(qrasterwindow)
