=== tests/benchmarks/CMakeLists.txt ===
# Generated from benchmarks.pro.

add_subdirectory(corelib)
if(TARGET Qt::DBus)
    add_subdirectory(dbus)
endif()
if(TARGET Qt::Gui)
    add_subdirectory(gui)
endif()
if(TARGET Qt::Network)
    add_subdirectory(network)
endif()
if(TARGET Qt::Sql)
    add_subdirectory(sql)
endif()
if(TARGET Qt::Test)
    add_subdirectory(testlib)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(widgets)
endif()
