=== examples/corelib/serialization/CMakeLists.txt ===
qt_internal_add_example(cbordump)
qt_internal_add_example(convert)
qt_internal_add_example(savegame)
